## Update Credit Reason

### cURL

```bash
curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/picklists/creditreasons/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "version": 123,
  "code": "code",
  "archived": true
}
' 
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/picklists/creditreasons/{id}"

payload = {
    "name": "<string>",
    "version": 123,
    "code": "code",
    "archived": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', version: 123, code: 'code', archived: true})
};

fetch('https://api.m3ter.com/organizations/{orgId}/picklists/creditreasons/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Examples

#### Success Response (200)
```json
{
  "id": "<string>",
  "version": 123,
  "code": "<string>",
  "name": "<string>",
  "archived": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

#### Client Error (4XX)
```json
{
  "message": "<string>"
}
```

#### Server Error (5XX)
```json
{
  "message": "<string>"
}
```

### Authorizations
- **Authorization**: Required, string, header
- m3ter supports machine-to-machine authentication using `clientCredentials` OAuth2 flow.
- The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters
- **orgId**: Required, string, UUID of the organization representing your company as a direct customer of the m3ter service.
- **id**: Required, string, UUID of the Credit Reason to update.

### Body Parameters
- **name**: Required (1-200 characters), string, the name of the entity.
- **version**: Integer, required on update and must match the existing version.
- **code**: String (maximum length: 80), the short code for the entity.
- **archived**: Boolean, flag indicating if the entity is archived.

### Response Parameters
- **id**: Required, string, UUID of the entity.
- **version**: Integer, the version number assigned in response.
- **code**: String, the short code of the data entity.
- **name**: String, the name of the data entity.
- **archived**: Boolean, indicating archived status.
- **dtCreated**: String (date-time), creation timestamp.
- **dtLastModified**: String (date-time), last modification timestamp.
- **createdBy**: String, id of the user who created this data.
- **lastModifiedBy**: String, id of the user who last modified this data.
